Debian Bug report logs - #433962
libc6-dev: error including <netinet/if_fddi.h>

version graph

Package: libc6-dev; Maintainer for libc6-dev is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6-dev is src:eglibc.

Reported by: Daniel Schepler <schepler@math.unipd.it>

Date: Fri, 20 Jul 2007 16:27:02 UTC

Severity: serious

Tags: lenny, sid

Fixed in version glibc/2.6-3

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433962; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: submit@bugs.debian.org
Subject: libc6-dev: error including <netinet/if_fddi.h>
Date: Fri, 20 Jul 2007 12:23:51 -0400
Package: libc6-dev
Version: 2.6-2
Severity: important
Tags: sid
Blocks: 428952

On an i386 sid system (with linux-libc-dev version 2.6.22):

daniel@frooble:/tmp$ cat test.c
#include <netinet/if_fddi.h>
daniel@frooble:/tmp$ gcc -c test.c
In file included from /usr/include/netinet/if_fddi.h:26,
                 from test.c:1:
/usr/include/linux/if_fddi.h:88: error: expected specifier-qualifier-list before ‘__be16’

This is causing net-tools to FTBFS (bug #428952).
-- 
Daniel Schepler



Blocking bugs of 428952 added: 433962 Request was from Daniel Schepler <schepler@math.unipd.it> to control@bugs.debian.org. (Fri, 20 Jul 2007 16:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#433962; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 433962@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Daniel Schepler <schepler@math.unipd.it>, 433962@bugs.debian.org
Subject: Re: Bug#433962: libc6-dev: error including <netinet/if_fddi.h>
Date: Fri, 20 Jul 2007 18:45:14 +0200
[Message part 1 (text/plain, inline)]
reassign 433962 net-tools
forcemerge 428952 433962
thanks

On Fri, Jul 20, 2007 at 12:23:51PM -0400, Daniel Schepler wrote:
> Package: libc6-dev
> Version: 2.6-2
> Severity: important
> Tags: sid
> Blocks: 428952
> 
> On an i386 sid system (with linux-libc-dev version 2.6.22):
> 
> daniel@frooble:/tmp$ cat test.c
> #include <netinet/if_fddi.h>
> daniel@frooble:/tmp$ gcc -c test.c
> In file included from /usr/include/netinet/if_fddi.h:26,
>                  from test.c:1:
> /usr/include/linux/if_fddi.h:88: error: expected specifier-qualifier-list before ‘__be16’
> 
> This is causing net-tools to FTBFS (bug #428952).
> -- 
> Daniel Schepler

  This is not a bug, it is because you have to #include <linux/types.h>
now that we used the headers officially exported by the linux tree, and
not linux-kernel-headers anymore.

  As a general note, the problems with __[lb]e{8,16,32,64} are caused by
missing #include <linux/types.h> in the FTBFS-ing sources, and the
sources have to be fixed, as linux-kernel-headers was kind of a hack,
and linux-libc-dev is supposed to be an official thing now.

Cheers,
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `libc6-dev' to `net-tools'. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 16:51:01 GMT) Full text and rfc822 format available.

Forcibly Merged 428952 433962. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 16:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Eckenfels <ecki@debian.org>:
Bug#433962; Package net-tools. Full text and rfc822 format available.

Acknowledgement sent to "Olaf van der Spek" <olafvdspek@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bernd Eckenfels <ecki@debian.org>. Full text and rfc822 format available.

Message #21 received at 433962@bugs.debian.org (full text, mbox):

From: "Olaf van der Spek" <olafvdspek@gmail.com>
To: 433962@bugs.debian.org
Subject: Re: Bug#433962: libc6-dev: error including <netinet/if_fddi.h>
Date: Fri, 20 Jul 2007 19:08:54 +0200
> This is not a bug, it is because you have to #include <linux/types.h>
> now that we used the headers officially exported by the linux tree, and
> not linux-kernel-headers anymore.

Why doesn't the header include that file itself if it's always needed?



Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Eckenfels <ecki@debian.org>:
Bug#433962; Package net-tools. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
Extra info received and forwarded to list. Copy sent to Bernd Eckenfels <ecki@debian.org>. Full text and rfc822 format available.

Message #26 received at 433962@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: Pierre Habouzit <madcoder@debian.org>
Cc: 433962@bugs.debian.org
Subject: Re: Bug#433962: libc6-dev: error including <netinet/if_fddi.h>
Date: Fri, 20 Jul 2007 13:15:31 -0400
On Friday 20 July 2007 12:45:14 pm Pierre Habouzit wrote:
> reassign 433962 net-tools
> forcemerge 428952 433962
> thanks
>
> On Fri, Jul 20, 2007 at 12:23:51PM -0400, Daniel Schepler wrote:
> > Package: libc6-dev
> > Version: 2.6-2
> > Severity: important
> > Tags: sid
> > Blocks: 428952
> >
> > On an i386 sid system (with linux-libc-dev version 2.6.22):
> >
> > daniel@frooble:/tmp$ cat test.c
> > #include <netinet/if_fddi.h>
> > daniel@frooble:/tmp$ gcc -c test.c
> > In file included from /usr/include/netinet/if_fddi.h:26,
> >                  from test.c:1:
> > /usr/include/linux/if_fddi.h:88: error: expected specifier-qualifier-list
> > before ‘__be16’
> >
> > This is causing net-tools to FTBFS (bug #428952).
> > --
> > Daniel Schepler
>
>   This is not a bug, it is because you have to #include <linux/types.h>
> now that we used the headers officially exported by the linux tree, and
> not linux-kernel-headers anymore.
>
>   As a general note, the problems with __[lb]e{8,16,32,64} are caused by
> missing #include <linux/types.h> in the FTBFS-ing sources, and the
> sources have to be fixed, as linux-kernel-headers was kind of a hack,
> and linux-libc-dev is supposed to be an official thing now.
>
> Cheers,

But <netinet/if_fddi.h> is supplied by glibc.  Doesn't that mean that header 
should include <linux/types.h> before including <linux/if_fddi.h>?
-- 
Daniel Schepler




Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Eckenfels <ecki@debian.org>:
Bug#433962; Package net-tools. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Bernd Eckenfels <ecki@debian.org>. Full text and rfc822 format available.

Message #31 received at 433962@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Daniel Schepler <schepler@math.unipd.it>
Cc: 433962@bugs.debian.org
Subject: Re: Bug#433962: libc6-dev: error including <netinet/if_fddi.h>
Date: Fri, 20 Jul 2007 19:18:57 +0200
[Message part 1 (text/plain, inline)]
unmerge 433962
reassign 433962 libc6-dev
thanks

On Fri, Jul 20, 2007 at 01:15:31PM -0400, Daniel Schepler wrote:
> On Friday 20 July 2007 12:45:14 pm Pierre Habouzit wrote:
> > reassign 433962 net-tools
> > forcemerge 428952 433962
> > thanks
> >
> > On Fri, Jul 20, 2007 at 12:23:51PM -0400, Daniel Schepler wrote:
> > > Package: libc6-dev
> > > Version: 2.6-2
> > > Severity: important
> > > Tags: sid
> > > Blocks: 428952
> > >
> > > On an i386 sid system (with linux-libc-dev version 2.6.22):
> > >
> > > daniel@frooble:/tmp$ cat test.c
> > > #include <netinet/if_fddi.h>
> > > daniel@frooble:/tmp$ gcc -c test.c
> > > In file included from /usr/include/netinet/if_fddi.h:26,
> > >                  from test.c:1:
> > > /usr/include/linux/if_fddi.h:88: error: expected specifier-qualifier-list
> > > before ‘__be16’
> > >
> > > This is causing net-tools to FTBFS (bug #428952).
> > > --
> > > Daniel Schepler
> >
> >   This is not a bug, it is because you have to #include <linux/types.h>
> > now that we used the headers officially exported by the linux tree, and
> > not linux-kernel-headers anymore.
> >
> >   As a general note, the problems with __[lb]e{8,16,32,64} are caused by
> > missing #include <linux/types.h> in the FTBFS-ing sources, and the
> > sources have to be fixed, as linux-kernel-headers was kind of a hack,
> > and linux-libc-dev is supposed to be an official thing now.
> >
> > Cheers,
> 
> But <netinet/if_fddi.h> is supplied by glibc.  Doesn't that mean that header 
> should include <linux/types.h> before including <linux/if_fddi.h>?

  oookay, it _seems_ I was quick, you're completely right, I missed it
was due to *netinet*/if_fddi.h :]

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Disconnected #433962 from all other report(s). Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 17:21:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `net-tools' to `libc6-dev'. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 17:21:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 17:27:01 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.unipd.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 433962-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 433962-close@bugs.debian.org
Subject: Bug#433962: fixed in glibc 2.6-3
Date: Mon, 23 Jul 2007 09:02:11 +0000
Source: glibc
Source-Version: 2.6-3

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.6-3_all.deb
  to pool/main/g/glibc/glibc-doc_2.6-3_all.deb
glibc_2.6-3.diff.gz
  to pool/main/g/glibc/glibc_2.6-3.diff.gz
glibc_2.6-3.dsc
  to pool/main/g/glibc/glibc_2.6-3.dsc
libc6-dbg_2.6-3_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.6-3_amd64.deb
libc6-dev-i386_2.6-3_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.6-3_amd64.deb
libc6-dev_2.6-3_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.6-3_amd64.deb
libc6-i386_2.6-3_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.6-3_amd64.deb
libc6-pic_2.6-3_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.6-3_amd64.deb
libc6-prof_2.6-3_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.6-3_amd64.deb
libc6-udeb_2.6-3_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.6-3_amd64.udeb
libc6_2.6-3_amd64.deb
  to pool/main/g/glibc/libc6_2.6-3_amd64.deb
libnss-dns-udeb_2.6-3_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.6-3_amd64.udeb
libnss-files-udeb_2.6-3_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.6-3_amd64.udeb
locales-all_2.6-3_amd64.deb
  to pool/main/g/glibc/locales-all_2.6-3_amd64.deb
locales_2.6-3_all.deb
  to pool/main/g/glibc/locales_2.6-3_all.deb
nscd_2.6-3_amd64.deb
  to pool/main/g/glibc/nscd_2.6-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433962@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 23 Jul 2007 08:01:26 +0200
Source: glibc
Binary: libc0.1-prof libc6-dev-amd64 locales-all libc6-i686 libc6-dev-ppc64 libc0.3-pic glibc-doc libc0.3 libc6-dev-mipsn32 libc0.1-i686 libc0.1-i386 libc6-mips64 libc6.1-dev libc6-s390x libnss-files-udeb libc0.1-dev-i386 libc6-dev-sparc64 libc6-i386 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc0.1-udeb libc6-dev-i386 libc6.1-prof libc6-mipsn32 libc0.1-dev locales libc6-pic libc0.3-udeb libc6-dev-powerpc libc0.1-pic libc6-ppc64 libc0.3-dbg libc0.1-dbg libc6-amd64 libc0.1 libc6-prof libc6-xen libc6-dev-mips64 libc6-powerpc libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc6-dev-s390x
Architecture: source amd64 all
Version: 2.6-3
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 395177 396135 413744 432721 433962
Changes: 
 glibc (2.6-3) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * script.in/kernelcheck.sh: s/kernel_compare_version/linux_compare_versions/
     for arm.
   * script.in/kernelcheck.sh: the minimum kernel version is now 2.6.8 and not
     2.6.1.  Closes: bug#432721.
   * hppa/submitted-threaddb.diff: new patch from Randolph Chung to fix
     debugging interface for NPTL on hppa.
   * Drop SPARC V8 support:
     - control.in/opt: drop libc6-sparcv9.
     - sysdeps/sparc.mk: drop libc6-sparcv9.
     - script.in/kernelcheck.sh: add check for SPARC V8 or earlier CPU.
     - patches/series: disable sparc/submitted-timing.diff.
     - patches/sparc/local-sparcv8-target.diff: rename to
       local-sparcv9-target.diff and default to v9.
   * Build with gcc-4.2 except on alpha (untested).
   * patches/any/cvs-ld_library_path.diff: new patch from CVS to fix segfaults
     with empty LD_LIBRARY_PATH variable.
   * rules.d/build.mk: create /etc/ld.so.conf.d/libc.conf to add
     /usr/local/lib as a default search path.  Closes: #395177.
   * Honor parallel= option in DEB_BUILD_OPTIONS.  Closes: #413744.
 .
   [ Pierre Habouzit ]
   * rules.d/debhelper.mk: add some magic to copy debian/bug/$pkg/ files into
     /usr/share/bug/.
   * add libc6-i386/presubj to document /usr/lib32 issues not being a
     libc6-i386 problem.
   * add locales/presubj about locales depends that are correct, and tell bug
     reporters how to look for their package being built or not.
   * add patches/any/local-missing-linux_types.h.diff to add missing
     #include <linux/types.h> due to migration to linux-libc-dev.
     Closes: #433962.
 .
   [ Samuel Thibault ]
   * hurd-i386/local-tls-support.diff: new patch to support TLS.
   * debian/sysdeps/hurd.mk (libc_extra_config_options): Removed
     --without-__thread, --without-tls and libc_cv_z_relro=no.
   * hurd-i386/local-atomic-no-multiple_threads.diff: new patch, hurd-i386
     doesn't need the multiple_threads field.
   * hurd-i386/local-gscope.diff: new patch, backport of the CVS global scope.
   * hurd-i386/local-no-strerror_l.diff: new patch to disable non-implemented
     strerror_l().
   * hurd-i386/submitted-lock-intern.diff: new patch to fix a header inclusion.
   * sysdeps/depflags.pl: make libc0.3 depend on TLS-enabled hurd packages.
   * hurd-i386/local-sigsuspend-nocancel.diff: renamed into
     submitted-sigsuspend-nocancel.diff.
   * hurd-i386/submitted-ECANCELED.diff: new patch to fix ECANCELED value.
     Closes: #396135.
   * hurd-i386/local-gcc-4.1-init-first.diff: New patch by Thomas
     Schwinge to fix building with gcc-4.1.
   * sysdeps/hurd.mk (CC, BUILD_CC): Change to gcc-4.1.
   * control: Depend on gcc-4.1 on hurd-i386.
Files: 
 9b9dcb2b7bfa1fa49db3bd1e9a30d85b 2301 libs required glibc_2.6-3.dsc
 45339d4b800388c08623c0edafcb0bc2 674907 libs required glibc_2.6-3.diff.gz
 b2cc24f9c2cf7946a2406a533419c4a1 1629660 doc optional glibc-doc_2.6-3_all.deb
 28a4f70a492c71911449207b71949e73 4430408 libs standard locales_2.6-3_all.deb
 79936cc025f188570a2a90dded477ca0 4905024 libs required libc6_2.6-3_amd64.deb
 ce4b300edfb96dece2e894e27086ba63 2489424 libdevel optional libc6-dev_2.6-3_amd64.deb
 7fac138c04c204b80b402ee5fc163c53 1926092 libdevel extra libc6-prof_2.6-3_amd64.deb
 122b517f53ba4e812d18819c9d295532 1462180 libdevel optional libc6-pic_2.6-3_amd64.deb
 396014686dd3e3cccffd60e6b990792e 2502120 libs extra locales-all_2.6-3_amd64.deb
 d24f4ca214bc4ab385b7c5a7ff086c62 3704948 libs optional libc6-i386_2.6-3_amd64.deb
 258f0746239e96a165bda4dd41d71917 1880478 libdevel optional libc6-dev-i386_2.6-3_amd64.deb
 ff519d0e596dd34236ab8dc3a7bb8b3b 162564 admin optional nscd_2.6-3_amd64.deb
 6f1ac46ac05ea67f71dbde727a200523 10535462 libdevel extra libc6-dbg_2.6-3_amd64.deb
 bebf41d72f2074ef3de56d5cccfa0faa 1108868 debian-installer extra libc6-udeb_2.6-3_amd64.udeb
 778768ef57dba315c287baab8eeba52f 9728 debian-installer extra libnss-dns-udeb_2.6-3_amd64.udeb
 80c869e103093c383906af85cf05b46a 17876 debian-installer extra libnss-files-udeb_2.6-3_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGpGFSw3ao2vG823MRAlCaAJ4wfDD1oqchK/b4iq7Me7vktV5ukgCfUQJl
e86aFxLXFmxzggaP/ikE6Pk=
=Onmr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 08:15:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:08:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.